#include <IRremote.h>


const int MP3_TRIGGER_PIN = 2;
const int SERVO_TRIGGER_PIN = 1;

const int IRRECV_PIN = 3;
const int LED_PIN = 4;

int trigger = 0;
int active = 0;

IRrecv irrecv(IRRECV_PIN);
decode_results results;

void setup() {
    pinMode(MP3_TRIGGER_PIN, OUTPUT);
    digitalWrite(MP3_TRIGGER_PIN, LOW);

    pinMode(SERVO_TRIGGER_PIN, OUTPUT);
    digitalWrite(SERVO_TRIGGER_PIN, LOW);

    pinMode(LED_PIN, OUTPUT);
    digitalWrite(LED_PIN, LOW);

    pinMode(IRRECV_PIN, INPUT);

    irrecv.enableIRIn();
    delay(5000);
}

void loop() {
    if(irrecv.decode(&results)) {
        decodeIR(&results);
    
        irrecv.resume();
    }
   
}

void decodeIR(decode_results *results) {
  if (results->decode_type == MAGIQUEST) {
    if(!active){
        active = 1;
        digitalWrite(LED_PIN, HIGH);
        digitalWrite(SERVO_TRIGGER_PIN, HIGH);
        delay(100);
        digitalWrite(MP3_TRIGGER_PIN, HIGH);
        delay(100);
        digitalWrite(MP3_TRIGGER_PIN, LOW);
        digitalWrite(SERVO_TRIGGER_PIN, LOW);
        digitalWrite(LED_PIN, LOW);
        delay(2000);
        active = 0;
    }
  }
}

